View Issue Details

IDProjectCategoryView StatusLast Update
0002721NoesisGUIUnity3Dpublic2024-05-06 18:55
ReporterOtter Assigned Tosfernandez  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.2.2 
Target Version3.2.4Fixed in Version3.2.4 
Summary0002721: ToolTip is not affected by WorldSpaceUI scale
DescriptionWhen adding a tooltip to a WorldSpaceUI, with a scale less than 1, the tooltip does not get scaled properly.
Also when tooltip is visible the text is upside down.

The issue is not there when rendering to texture.

Forum: https://www.noesisengine.com/forums/viewtopic.php?t=3092
Steps To ReproduceImport Assets.zip

or

1. Create a button with ToolTip property
2. Add it to WorldSpaceUI and change the scale of WorldSpaceUI to 0.1
3. Hover over it (tooltip is not in the proper scale)
TagsNo tags attached.
PlatformAny

Activities

Otter

Otter

2023-10-11 08:59

reporter  

Assets.zip (12,453 bytes)
ToolTip3.png (158,606 bytes)   
ToolTip3.png (158,606 bytes)   
ToolTip2.png (154,541 bytes)   
ToolTip2.png (154,541 bytes)   
sfernandez

sfernandez

2024-04-30 21:12

manager   ~0009443

You can try it with the following patched library: https://drive.google.com/file/d/1M_o9xG9ftIfIVVBv_1ufyQ25adRdV2ra/view?usp=sharing
sfernandez

sfernandez

2024-05-06 18:55

manager   ~0009472

Android arm64 patched library: https://drive.google.com/file/d/1m5mT40cZNZ_Q8Gny6Za6OFz08Gx6t8kG/view?usp=sharing

Issue History

Date Modified Username Field Change
2023-10-11 08:59 Otter New Issue
2023-10-11 08:59 Otter File Added: Assets.zip
2023-10-11 08:59 Otter File Added: ToolTip3.png
2023-10-11 08:59 Otter File Added: ToolTip2.png
2023-10-11 09:03 Otter Summary ToolTip is not visible in WorldSpaceUI => ToolTip is not affected by WorldSpaceUI scale
2023-10-11 09:03 Otter Description Updated
2023-10-11 09:03 Otter Steps to Reproduce Updated
2023-10-11 10:24 jsantos Assigned To => sfernandez
2023-10-11 10:24 jsantos Status new => assigned
2023-10-11 10:24 jsantos Target Version => 3.2.3
2024-01-22 11:46 sfernandez Target Version 3.2.3 => 3.2.4
2024-04-29 12:19 sfernandez Status assigned => resolved
2024-04-29 12:19 sfernandez Resolution open => fixed
2024-04-29 12:19 sfernandez Fixed in Version => 3.2.4
2024-04-30 21:12 sfernandez Note Added: 0009443
2024-05-06 18:55 sfernandez Note Added: 0009472